<template>
    <span style="cursor: pointer" @click="openCharacter">Character : {{getNumber}}</span>
</template>
<script>
export default {
    props: {character: null},
    computed: {
        getNumber(){
            return this.character.replace("https://rickandmortyapi.com/api/character/", "");
        }
    },
    methods: {
        openCharacter(){
            this.$router.push({name: 'characters',query: { id: this.character.replace("https://rickandmortyapi.com/api/character/", "") },});
        },
    }
}
</script>